Skip to navigation

Update Application Customer

Update a customer's information in an application.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

applicationIdstringRequiredformat: "uuid"
The id of the application
customerIdstringRequiredformat: "uuid"
The id of the customer

Request

This endpoint expects an object.
firstNamestringRequired
lastNamestringRequired
phonedoubleRequired
applicantTypeenumRequired
emailstringOptionalformat: "email"
relationshipenumOptional

Response

Customer updated successfully
idstringOptionalformat: "uuid"
firstNamestringOptional
lastNamestringOptional
middleNamestringOptional
preferredNamestringOptional
statusstringOptional
genderstringOptional
createdAtdatetimeOptional
updatedAtdatetimeOptional
deletedAtdatetimeOptional
phonedoubleOptional
emailstringOptional
birthDatedateOptional
idempotencyIdstring or nullOptional
readableIdstring or nullOptional